from PyQt5 import QtWidgets as Qt

from controllers.group_edit_controller import GroupEdit
from controllers.groups_overview_controller import GroupsOverview
from model.qtmodels.group_table_model import GroupTableModel
from model.qtmodels.person_table_model import PersonTableModel
from windows import mainwindow
from globals import Global


class MainWindow(Qt.QMainWindow, mainwindow.Ui_MainWindow):

    def _init_screens(self):
        self._screens = [
            GroupsOverview(self),
            GroupEdit(),
        ]

    def __init__(self, parent=None):
        super(MainWindow, self).__init__(parent)
        self.setupUi(self)
        self._init_screens()
        for controller in self._screens:
            self.stackedWidget.addWidget(controller)
        self.goToGroupOverview()

    def goToGroupOverview(self):
        self.stackedWidget.setCurrentWidget(self._screens[0])

    def goToGroupEdit(self, group_id):
        self.stackedWidget.setCurrentWidget(self._screens[1])