import sqlite3 as sqlite
from model.group import Group
from model.person import Person


class Database:
    def __init__(self):
        self.connection = sqlite.connect('database.db')
        self.connection.isolation_level = None  # so we don't have to use self.connection.commit()

    def getGroups(self, person_id = None):
        if person_id is not None:
            curs = self.connection.execute("SELECT * FROM GROUPS WHERE person_id = ?", str(person_id))
        else:
            curs = self.connection.execute("SELECT * FROM GROUPS")
        res = []
        for row in curs:
            res.append(Group(row))
        return res

    def getGroupMembers(self, group_id):
        curs = self.connection.execute('''SELECT person.*
                                    FROM person
                                        JOIN person_to_group USING (person_id)
                                        JOIN groups USING (group_id)
                                    WHERE groups.group_id = ?''', str(group_id))
        res = []
        for row in curs:
            res.append(Person(row[0], row[1], row[2]))
        return res
