#!/usr/bin/env python3

import sqlite3 as sqlite

conn = sqlite.connect('database.db')
conn.isolation_level = None  # so we don't have to use self.connection.commit()
curs = conn.cursor()

curs.execute(
    '''CREATE TABLE Person (
    person_id INTEGER PRIMARY KEY AUTOINCREMENT,
    name      VARCHAR,
    surname   VARCHAR
    );''')

curs.execute(
    '''CREATE TABLE Groups (
    id   INTEGER PRIMARY KEY,
    name VARCHAR UNIQUE
                 NOT NULL
    );'''
)

curs.execute(
    '''CREATE TABLE Person_to_group (
    person_id INTEGER REFERENCES Person (person_id),
    group_id  INTEGER REFERENCES Groups (group_id),
    PRIMARY KEY (
        person_id,
        group_id
    )
    );'''
)
